> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Inspect a pending device authorization



## OpenAPI

````yaml /openapi.json get /api/v1/device-authorizations/{code}
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/device-authorizations/{code}:
    get:
      summary: Inspect a pending device authorization
      operationId: getDeviceAuthorization
      parameters:
        - name: code
          in: path
          required: true
          schema:
            type: string
            minLength: 8
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceAuthorizationView'
      security:
        - cookieAuth: []
components:
  schemas:
    DeviceAuthorizationView:
      type: object
      properties:
        status:
          type: string
          enum:
            - pending
            - approved
            - denied
            - expired
            - claimed
        requestedScopes:
          type: array
          items:
            type: string
        workspace:
          type: string
          nullable: true
        expiresAt:
          type: string
      required:
        - status
        - requestedScopes
        - workspace
        - expiresAt
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````